# Timeout

Closes idle DTLS sessions after the configured inactivity period. .. summary-end

This parameter applies to imdtls: Input Module for DTLS Protocol over UDP.

Name:

  timeout

Scope:

  input

Type:

  word

Default:

  1800

Required?:

  no

Introduced:

  v8.2402.0

## Description

Specifies the DTLS session timeout. As DTLS runs on the connectionless UDP protocol, there are no automatic detections of a session timeout. The input closes the DTLS session if no data is received from the client for the configured timeout period. The default is 1800 seconds, which is equal to 30 minutes.

## Input usage

    module(load="imdtls")
    input(type="imdtls" timeout="900")

## See also

See also imdtls: Input Module for DTLS Protocol over UDP.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.